Subject: Re: bug#18545: 24.4.50: Bug - forward-line inside with-selected-window

From: martin rudalics <[email-masked]>
Date: Sun, 28 Sep 2014 21:04:00 +0200

>>   >> I don't
 >>   >> understand cursor_row_fully_visible_p much.
 >>   >
 >>   > Which part of it do you not understand?
 >>
 >> Why it should return 1 in these two cases
 >>
 >>     if (!MATRIX_ROW_PARTIALLY_VISIBLE_P (w, row))
 >>       return 1;
 >
 > If a row is _not_ partially visible, it is _fully_ visible, right?

Hmmm ... yes.  Unless it's completely invisible.  I was probably fooled
by the inverted uses of fully and partially visible.

 >> and
 >>
 >>     if (row->height >= window_height)
 >>       {
 >>         if (!force_p || MINI_WINDOW_P (w)
 >> 	  || w->vscroll || w->cursor.vpos == 0)
 >> 	return 1;
 >>       }
 >
 > There's a comment that that's supposed to explain this.

I don't understand the

	  || w->vscroll || w->cursor.vpos == 0

disjuncts in the second conditional.  But I presume that this case is
too obscure anyway.

martin